Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.compiler
Class FuncLoader

    java.lang.Object
      |
      +--org.apache.xpath.compiler.FuncLoader

public class FuncLoader
extends java.lang.Object

**For advanced use only** Lazy load of functions into the function table as needed, so we don't have to load all the functions allowed in XPath and XSLT on startup.

Constructor Summary
`FuncLoader(java.lang.String funcName, int funcID)` Construct a function loader

Method Summary
`Function` | `getFunction()` Get a Function instance that this instance is liaisoning for.
`java.lang.String` | `getName()` Get the local class name of the function class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncLoader

    public FuncLoader(java.lang.String funcName,
                      int funcID)

  Construct a function loader
  Parameters:
    `funcName` - The class name of the {org.apache.xpath.functions.Function} class, which, if it does not have a '.' in it, is assumed to be relative to 'org.apache.xpath.functions'.
    `funcID` - The function ID, which may correspond to one of the FUNC_XXX values found in `FunctionTable`, but may be a value installed by an external module.

Method Detail

### getName

    public java.lang.String getName()

  Get the local class name of the function class. If function name does not have a '.' in it, it is assumed to be relative to 'org.apache.xpath.functions'.
  Returns:
    The class name of the {org.apache.xpath.functions.Function} class.

### getFunction

    public Function getFunction()
                         throws TransformerException

  Get a Function instance that this instance is liaisoning for.
  Returns:
    non-null reference to Function derivative.
  Throws:
    TransformerException - if ClassNotFoundException, IllegalAccessException, or InstantiationException is thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.